> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages from an inbox.

> List messages from an inbox for the authenticated user.



## OpenAPI

````yaml white-label/trigger-inbox-openapi.yaml get /trigger-inbox/v1/inboxes/{inbox_id}/messages
openapi: 3.1.0
info:
  title: Trigger Inbox API
  description: >-
    Manage trigger inboxes and their messages — create, pause, resume, and
    delete inboxes; list, lease, and acknowledge messages.
  version: 1.0.0
  contact:
    url: https://docs.zapier.com
servers:
  - url: https://api.zapier.com
    description: Production
security:
  - OAuth: []
tags:
  - name: inbox
    description: Inbox API endpoints
  - name: message
    description: Message API endpoints
paths:
  /trigger-inbox/v1/inboxes/{inbox_id}/messages:
    get:
      tags:
        - message
      summary: List messages from an inbox.
      description: List messages from an inbox for the authenticated user.
      operationId: listTriggerInboxMessages
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: path
          name: inbox_id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMessageList'
          description: ''
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: 'Validation Error: Return fields with errors.'
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '429':
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: Too many requests.
      security:
        - OAuth:
            - external
components:
  schemas:
    PaginatedMessageList:
      type: object
      required:
        - next
        - previous
        - results
      properties:
        next:
          type: string
          description: Link to next page of results if any.
          nullable: true
          format: uri
          example: https://api.example.org/accounts/?cursor=cD00ODY%3D
        previous:
          type: string
          description: Link to previous page of results if any.
          nullable: true
          format: uri
          example: https://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          description: Array of results for the current page.
          type: array
          items:
            $ref: '#/components/schemas/Message'
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
          description: An array of error objects.
      required:
        - errors
    Message:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: The unique identifier for the message.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Creation timestamp in ISO 8601 format.
        status:
          allOf:
            - $ref: '#/components/schemas/StatusEnum'
          description: The status of the message.
          readOnly: true
        message_attributes:
          allOf:
            - $ref: '#/components/schemas/MessageAttributes'
          readOnly: true
          description: >-
            Attributes associated with the message, such as lease count and
            error information.
      required:
        - created_at
        - id
        - message_attributes
        - status
    ErrorDetail:
      type: object
      description: >-
        Per the schema defined in the engineering index.


        https://engineering.zapier.com/guides/api-design-guidelines/error-handling/
      properties:
        code:
          type: string
          description: A unique identifier for this particular occurrence of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        status:
          type: integer
          description: HTTP status code for that error.
        title:
          type: string
          description: A short summary of the problem.
        source:
          type: object
          additionalProperties: {}
          description: An object containing references to the primary source of the error.
      required:
        - code
        - detail
    StatusEnum:
      enum:
        - available
        - leased
        - acked
        - quarantined
      type: string
    MessageAttributes:
      type: object
      properties:
        lease_count:
          type: integer
          readOnly: true
          description: Number of times this message has been leased.
        error_message:
          type:
            - string
            - 'null'
          readOnly: true
          description: Error message from the batch that produced this message, if any.
        possible_duplicate_data:
          type: boolean
          readOnly: true
          description: >-
            True when the message may contain duplicate data due to a change in
            the deduplication key. Consumers should treat this data with caution
            and may want to apply their own deduplication logic.
      required:
        - error_message
        - lease_count
        - possible_duplicate_data
  headers:
    X-RateLimit-Limit:
      schema:
        type: string
      description: The rate limit ceiling for that given request.
      required: true
    X-RateLimit-Remaining:
      schema:
        type: string
      description: The number of requests left for the window.
      required: true
    X-RateLimit-Reset:
      schema:
        type: string
      description: The time at which the current rate limit window resets in seconds.
      required: true
    Retry-After:
      schema:
        type: number
      description: The number of seconds to wait before making a new request.
      required: true
  securitySchemes:
    OAuth:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        authorizationCode:
          authorizationUrl: https://zapier.com/oauth/authorize
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs
        clientCredentials:
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs

````